bfd/
authorH.J. Lu <hjl.tools@gmail.com>
Mon, 4 Feb 2008 19:43:51 +0000 (19:43 +0000)
committerH.J. Lu <hjl.tools@gmail.com>
Mon, 4 Feb 2008 19:43:51 +0000 (19:43 +0000)
2008-02-04  Kai Tietz  <kai.tietz@onevision.com>
    H.J. Lu  <hongjiu.lu@intel.com>

PR 5715
* warning.m4: Enable -Wno-format by default when using gcc on
mingw.
* configure: Regenerated.

binutils/

2008-02-04  H.J. Lu  <hongjiu.lu@intel.com>

PR 5715
* configure: Regenerated.

gas/

2008-02-04  H.J. Lu  <hongjiu.lu@intel.com>

PR 5715
* configure: Regenerated.

ld/

2008-02-04  H.J. Lu  <hongjiu.lu@intel.com>

PR 5715
* configure: Regenerated.

opcodes/

2008-02-04  H.J. Lu  <hongjiu.lu@intel.com>

PR 5715
* configure: Regenerated.

bfd/ChangeLog
bfd/configure
bfd/warning.m4
binutils/ChangeLog
binutils/configure
gas/ChangeLog
gas/configure
ld/ChangeLog
ld/configure
opcodes/ChangeLog
opcodes/configure

index 07a52ec257e47ac66dc1730a9dc2eb43e3a8ff67..4bf8ef74dafe6d3a49465bc8a6bba785eac55492 100644 (file)
@@ -1,3 +1,11 @@
+2008-02-04  Kai Tietz  <kai.tietz@onevision.com>
+           H.J. Lu  <hongjiu.lu@intel.com>
+
+       PR 5715
+       * warning.m4: Enable -Wno-format by default when using gcc on
+       mingw.
+       * configure: Regenerated.
+
 2008-02-04  Adam Nemet  <anemet@caviumnetworks.com>
 
        * archures.c: Update copyright.
index c15a11819162e9697df041c6d9235f9211b44d79..bd532e32e8821f53bdb9f65a2af8736b50449f42 100755 (executable)
@@ -10609,6 +10609,16 @@ echo "$as_me: error: bad value ${enableval} for --enable-werror" >&2;}
    esac
 fi;
 
+# Enable -Wno-format by default when using gcc on mingw
+case "${host}" in
+  *-*-mingw32*)
+    if test "${GCC}" = yes -a -z "${ERROR_ON_WARNING}" ; then
+      GCC_WARN_CFLAGS="$GCC_WARN_CFLAGS -Wno-format"
+    fi
+    ;;
+  *) ;;
+esac
+
 # Enable -Werror by default when using gcc
 if test "${GCC}" = yes -a -z "${ERROR_ON_WARNING}" ; then
     ERROR_ON_WARNING=yes
index b366cadeb29365e92156d87b3c800560c9d9730b..0b0bf2f7f8bf28a8bb66f4416c47e97db1e9d3d3 100644 (file)
@@ -11,6 +11,16 @@ AC_ARG_ENABLE(werror,
      *) AC_MSG_ERROR(bad value ${enableval} for --enable-werror) ;;
    esac])
 
+# Enable -Wno-format by default when using gcc on mingw
+case "${host}" in
+  *-*-mingw32*)
+    if test "${GCC}" = yes -a -z "${ERROR_ON_WARNING}" ; then
+      GCC_WARN_CFLAGS="$GCC_WARN_CFLAGS -Wno-format"
+    fi
+    ;;
+  *) ;;
+esac
+
 # Enable -Werror by default when using gcc
 if test "${GCC}" = yes -a -z "${ERROR_ON_WARNING}" ; then
     ERROR_ON_WARNING=yes
index 19de0853bcedbcd1a5563d7f0ad0eb35b37ed0bd..2e84347f328bf58c757cccae122efcea95f23fd2 100644 (file)
@@ -1,3 +1,8 @@
+2008-02-04  H.J. Lu  <hongjiu.lu@intel.com>
+
+       PR 5715
+       * configure: Regenerated.
+
 2008-02-03  Adam Nemet  <anemet@caviumnetworks.com>
 
        * readelf.c (get_machine_flags): Handle Octeon.
index 7b57c96ccabe419219abcddcf26c3a5d6fa469a6..7131ced4f1143996a9582b606c5d74b2d69aede3 100755 (executable)
@@ -10305,6 +10305,16 @@ echo "$as_me: error: bad value ${enableval} for --enable-werror" >&2;}
    esac
 fi;
 
+# Enable -Wno-format by default when using gcc on mingw
+case "${host}" in
+  *-*-mingw32*)
+    if test "${GCC}" = yes -a -z "${ERROR_ON_WARNING}" ; then
+      GCC_WARN_CFLAGS="$GCC_WARN_CFLAGS -Wno-format"
+    fi
+    ;;
+  *) ;;
+esac
+
 # Enable -Werror by default when using gcc
 if test "${GCC}" = yes -a -z "${ERROR_ON_WARNING}" ; then
     ERROR_ON_WARNING=yes
index 29813e93500134b081180ad36d3651a00c360167..64b7a5ec15762b2256ecded902b4dd4bedde1145 100644 (file)
@@ -1,3 +1,8 @@
+2008-02-04  H.J. Lu  <hongjiu.lu@intel.com>
+
+       PR 5715
+       * configure: Regenerated.
+
 2008-02-04  Adam Nemet  <anemet@caviumnetworks.com>
 
        * config/tc-mips.c (mips_cpu_info_table): Add Octeon.
index 48cc3587b6a6aabf12ada273898b502513ad42f9..2ff486f19d0209439de4ef22992f620a88016367 100755 (executable)
@@ -10325,6 +10325,16 @@ echo "$as_me: error: bad value ${enableval} for --enable-werror" >&2;}
    esac
 fi;
 
+# Enable -Wno-format by default when using gcc on mingw
+case "${host}" in
+  *-*-mingw32*)
+    if test "${GCC}" = yes -a -z "${ERROR_ON_WARNING}" ; then
+      GCC_WARN_CFLAGS="$GCC_WARN_CFLAGS -Wno-format"
+    fi
+    ;;
+  *) ;;
+esac
+
 # Enable -Werror by default when using gcc
 if test "${GCC}" = yes -a -z "${ERROR_ON_WARNING}" ; then
     ERROR_ON_WARNING=yes
index 0d648922ca7c8d4587f72828a3dc07d6be22d617..06bde56256d961ecbf6eff8b2fd509feb3cb7352 100644 (file)
@@ -1,3 +1,8 @@
+2008-02-04  H.J. Lu  <hongjiu.lu@intel.com>
+
+       PR 5715
+       * configure: Regenerated.
+
 2008-01-31  Marc Gauthier  <marc@tensilica.com>
 
        * configure.tgt (xtensa*-*-*): Recognize processor variants.
index d0a3f5a098ef581acf4f2b0d99455f36837ba844..bfe12c7c61fcb4553514ebfeef973daa3218f253 100755 (executable)
@@ -3315,6 +3315,16 @@ echo "$as_me: error: bad value ${enableval} for --enable-werror" >&2;}
    esac
 fi;
 
+# Enable -Wno-format by default when using gcc on mingw
+case "${host}" in
+  *-*-mingw32*)
+    if test "${GCC}" = yes -a -z "${ERROR_ON_WARNING}" ; then
+      GCC_WARN_CFLAGS="$GCC_WARN_CFLAGS -Wno-format"
+    fi
+    ;;
+  *) ;;
+esac
+
 # Enable -Werror by default when using gcc
 if test "${GCC}" = yes -a -z "${ERROR_ON_WARNING}" ; then
     ERROR_ON_WARNING=yes
@@ -4718,13 +4728,13 @@ if test "${lt_cv_nm_interface+set}" = set; then
 else
   lt_cv_nm_interface="BSD nm"
   echo "int some_variable = 0;" > conftest.$ac_ext
-  (eval echo "\"\$as_me:4721: $ac_compile\"" >&5)
+  (eval echo "\"\$as_me:4731: $ac_compile\"" >&5)
   (eval "$ac_compile" 2>conftest.err)
   cat conftest.err >&5
-  (eval echo "\"\$as_me:4724: $NM \\\"conftest.$ac_objext\\\"\"" >&5)
+  (eval echo "\"\$as_me:4734: $NM \\\"conftest.$ac_objext\\\"\"" >&5)
   (eval "$NM \"conftest.$ac_objext\"" 2>conftest.err > conftest.out)
   cat conftest.err >&5
-  (eval echo "\"\$as_me:4727: output\"" >&5)
+  (eval echo "\"\$as_me:4737: output\"" >&5)
   cat conftest.out >&5
   if $GREP 'External.*some_variable' conftest.out > /dev/null; then
     lt_cv_nm_interface="MS dumpbin"
@@ -5779,7 +5789,7 @@ ia64-*-hpux*)
   ;;
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 5782 "configure"' > conftest.$ac_ext
+  echo '#line 5792 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -6879,11 +6889,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:6882: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:6892: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:6886: \$? = $ac_status" >&5
+   echo "$as_me:6896: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -7201,11 +7211,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:7204: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:7214: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:7208: \$? = $ac_status" >&5
+   echo "$as_me:7218: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -7306,11 +7316,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:7309: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:7319: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:7313: \$? = $ac_status" >&5
+   echo "$as_me:7323: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -7361,11 +7371,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:7364: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:7374: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:7368: \$? = $ac_status" >&5
+   echo "$as_me:7378: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -10158,7 +10168,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<_LT_EOF
-#line 10161 "configure"
+#line 10171 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -10258,7 +10268,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<_LT_EOF
-#line 10261 "configure"
+#line 10271 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
index 933409fa01ffd202dee3fbc88e054789fa6733af..1c187077da8d7bb42560d39beea1d1501350ab47 100644 (file)
@@ -1,3 +1,8 @@
+2008-02-04  H.J. Lu  <hongjiu.lu@intel.com>
+
+       PR 5715
+       * configure: Regenerated.
+
 2008-02-04  Adam Nemet  <anemet@caviumnetworks.com>
 
        * mips-dis.c: Update copyright.
index 46d059deca529e00fe5f25ab03f735f525a285e8..84b2a227381142fc8d0f545c249ba680980b1fc0 100755 (executable)
@@ -10471,6 +10471,16 @@ echo "$as_me: error: bad value ${enableval} for --enable-werror" >&2;}
    esac
 fi;
 
+# Enable -Wno-format by default when using gcc on mingw
+case "${host}" in
+  *-*-mingw32*)
+    if test "${GCC}" = yes -a -z "${ERROR_ON_WARNING}" ; then
+      GCC_WARN_CFLAGS="$GCC_WARN_CFLAGS -Wno-format"
+    fi
+    ;;
+  *) ;;
+esac
+
 # Enable -Werror by default when using gcc
 if test "${GCC}" = yes -a -z "${ERROR_ON_WARNING}" ; then
     ERROR_ON_WARNING=yes
This page took 0.067627 seconds and 4 git commands to generate.